Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script
Class InterpreterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.batik.script.InterpreterException

All Implemented Interfaces:
  java.io.Serializable

public class InterpreterException
extends java.lang.Exception

An exception that will be thrown when a problem is encountered in the script by an `Interpreter` interface implementation.

See Also:
  Serialized Form

Constructor Summary
`InterpreterException(java.lang.Exception exception, java.lang.String message, int lineno, int columnno)` Builds an instance of `InterpreterException`.
`InterpreterException(java.lang.String message, int lineno, int columnno)` Builds an instance of `InterpreterException`.

Method Summary
`int` | `getColumnNumber()` Returns the column number where the error occurs.
`java.lang.Exception` | `getException()` Returns the embedded exception.
`int` | `getLineNumber()` Returns the line number where the error occurs.
`java.lang.String` | `getMessage()` Returns the message of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterpreterException

    public InterpreterException(java.lang.String message,
                                int lineno,
                                int columnno)

  Builds an instance of `InterpreterException`.

Parameters:
  `message` - the `Exception` message.
  `lineno` - the number of the line the error occurs.

### InterpreterException

    public InterpreterException(java.lang.Exception exception,
                                java.lang.String message,
                                int lineno,
                                int columnno)

  Builds an instance of `InterpreterException`.

Parameters:
  `exception` - the embedded exception.
  `message` - the `Exception` message.
  `lineno` - the number of the line the error occurs.

Method Detail

### getLineNumber

    public int getLineNumber()

  Returns the line number where the error occurs. If this value is not known, returns -1.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number where the error occurs. If this value is not known, returns -1.

### getException

    public java.lang.Exception getException()

  Returns the embedded exception. If no embedded exception is set, returns null.

### getMessage

    public java.lang.String getMessage()

  Returns the message of this exception. If an error message has been specified, returns that one. Otherwise, return the error message of enclosed exception or null if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.